<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>AAA.BasicShipUpgrade</name>
<version>2</version>
<engineversion>25</engineversion>
<description>AAA - Upgrades all ships systems </description>
<arguments>
<argument index="1" name="Navire" type="Var/Ship owned by Player" desc="Vaisseau a upgrader" />
</arguments>
<sourcetext>
<line linenr="001" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Best&#160;Buys&#160;Locator</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="002" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Best&#160;Selling&#160;Price&#160;Locator</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="003" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Boost&#160;Extension</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="004" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Docking&#160;computer</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="005" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Duplex&#160;Scanner</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="006" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Ecliptic&#160;projector</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="007" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Singularity&#160;Engine&#160;Time&#160;Accelerator</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="008" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>SETA&#160;boost&#160;extension</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="009" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Strafe&#160;Drive&#160;Extension</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="010" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Cargo&#160;Lifesupport&#160;System</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="011" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Motion&#160;Analysis&#160;Relay&#160;System</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="012" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Trading&#160;system&#160;extension</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="013" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Special&#160;Command&#160;Software&#160;MK1</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="014" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Trade&#160;Command&#160;Software&#160;MK1</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="015" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Trade&#160;Command&#160;Software&#160;MK2</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="016" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Navigation&#160;Software&#160;ST1</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="017" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Transporter&#160;Device</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="018" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Triplex&#160;Scanner</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="019" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Navigation&#160;Command&#160;Software&#160;MK1</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="020" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Best&#160;Buys&#160;Locator</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="021" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Trade&#160;Command&#160;Software&#160;MK3</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="022" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>BPH&#160;Upgrade&#160;Kit&#160;Mk1</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="023" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Best&#160;Selling&#160;Price&#160;Locator</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="024" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Fight&#160;Command&#160;Software&#160;MK1</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="025" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Fight&#160;Command&#160;Software&#160;MK2</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="026" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Mineral&#160;Scanner</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="027" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Camouflage&#160;Device</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="028" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>Jumpdrive</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="029" interruptable="@" indent=""><var>=&#160;</var><var>$Navire&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!galaxyeditor.obj.installware</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>MK1&#160;Engine&#160;Booster</var><text>&#160;</text><text>&#160;amount=</text><var>1</var></line>
<line linenr="030" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="AAA.BasicShipUpgrade" /><sval type="int" val="25" /><sval type="string" val="AAA - Upgrades all ships systems " /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="array" size="1"><sval type="string" val="Navire" /></sval><sval type="array" size="30"><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048608" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048609" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048616" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048595" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048627" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048601" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048599" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048600" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048617" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048615" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048596" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048590" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048634" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048630" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048631" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048638" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048610" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048628" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048629" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048608" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048647" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048642" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048609" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048632" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048633" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048588" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048622" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048611" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="!galaxyeditor.obj.installware" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="1048644" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="35" /><sval type="string" val="Vaisseau a upgrader" /></sval></sval><sval type="int" val="0" /><sval type="int" val="0" /></sval>
</codearray>
</script>
